Categories:
  - Writing
License: GPL-3.0-only
AuthorName: Linwood
AuthorEmail: admin@linwood.dev
SourceCode: https://github.com/LinwoodCloud/butterfly
IssueTracker: https://github.com/LinwoodCloud/butterfly/issues
Translation: https://linwood.crowdin.com/butterfly
Changelog: https://github.com/LinwoodCloud/butterfly/blob/develop/CHANGELOG.md

AutoName: Butterfly

RepoType: git
Repo: https://github.com/LinwoodCloud/butterfly.git

Builds:
  - versionName: 1.0.0-rc.1
    versionCode: 4
    commit: v1.0.0-rc.1
    subdir: app
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.0-rc.2
    versionCode: 5
    commit: 1af2706a4fb053c869128c1da0f60a2c1df91ffe
    subdir: app
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.0-rc.3
    versionCode: 6
    commit: cebe8156118e1f61fe8647a6ee4a9c1cd15f4cfa
    subdir: app
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.0-rc.4
    versionCode: 7
    commit: bea2eb6be2a408e40e8632e7a3234e7eaf2adae1
    subdir: app
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.0-rc.5
    versionCode: 8
    commit: 33fe5cd1c3b36a7e216c50731350dbd1d978daf4
    subdir: app
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.0-rc.6
    versionCode: 9
    commit: c509d244d7d63262df043fe64f056621ce2ce97c
    subdir: app
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.0
    versionCode: 10
    commit: f958a170213ce84326d8bd0baa0b85482030c9a6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.0
    versionCode: 11
    commit: 56cfd1469ec033342710939804ffc10c1384bd80
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.1
    versionCode: 12
    commit: 967579e6e1b06896febed384e7c3bc5d9ba4c413
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.2
    versionCode: 13
    commit: 533285974596fd41d82b7589f85d5f99cd3804e9
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.2.0
    versionCode: 14
    commit: 3270a34c839c97b1c35364a493f121cb14cc3586
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.1
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0-alpha.2
    versionCode: 18
    commit: 3b73175bab5dc5356b4568309e5acf7a3c8cb636
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.13.0-0.1.pre
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0-beta.1
    versionCode: 19
    commit: 68f20cc471fa9f93096023cb4fe3a1cddec1d706
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.13.0-0.1.pre
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0-beta.2
    versionCode: 20
    commit: 9b20e071b61bc1a0e7b5a171ad9e99351c513717
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.13.0-0.1.pre
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0-rc.0
    versionCode: 21
    commit: a78a179ff5f12239b719e385ceff9b6e33457373
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0-rc.1
    versionCode: 22
    commit: 269089dc65512351d123fa1dd381cc370ee31fb0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0-rc.2
    versionCode: 23
    commit: a1e11e5fbe098b300185014ff421219abcd82074
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0
    versionCode: 24
    commit: 806fe849646cc725e2294b00ff33bb685d617d05
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.1
    versionCode: 25
    commit: 572f5519c9b85f4746fd5ea9d83422661cac6438
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.2
    versionCode: 26
    commit: 2d80e87022ac40b1b92e9c60df3f9d9387b82bc6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.4.0-alpha.0
    versionCode: 27
    commit: 0df0737feec2d4ffe2b35a4c855bf58dccf96e5e
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-development-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild: sed -i -e '/applicationIdSuffix/d' android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor development

  - versionName: 1.4.0-alpha.1
    versionCode: 28
    commit: d6eaeb8a77d0a9ebee226cae3187382cc622ceb1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-development-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild: sed -i -e '/applicationIdSuffix/d' android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor development

  - versionName: 1.4.0-alpha.2
    versionCode: 29
    commit: a49cbe6560a622a87e404505b7f5fa1f3e222eb6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-development-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    prebuild: sed -i -e '/applicationIdSuffix/d' android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor development

  - versionName: 1.4.0-alpha.3
    versionCode: 30
    commit: 483e0a80c3118a1c495ccd088c6118c597d32848
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-production-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor production

  - versionName: 1.4.0
    versionCode: 37
    commit: 5b3f7d598278675f7bfac2cd79f6d80fa487a6f2
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-production-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor production

  - versionName: 1.4.1
    versionCode: 38
    commit: 583a1ce7bb04452f373d27c781f5e3f041cc6c6a
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-production-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor production

  - versionName: 1.4.2
    versionCode: 39
    commit: 3f7585f80c48b53bc603d9c25d06b23b9f6828ac
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-production-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor production

  - versionName: 1.4.3
    versionCode: 40
    commit: 043d800fa82f9139f4bc62790561cc04c0c65133
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-production-release.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor production

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[\d.]+$
UpdateCheckData: app/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.4.3
CurrentVersionCode: 40
